/*
								+---------------------------------+
								|                                 |
								|       ***   Matice   ***        |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|            Matrix.h             |
								|                                 |
								+---------------------------------+
*/

#ifndef __MATRIX_INCLUDED
#define __MATRIX_INCLUDED

typedef float Matrix[4][4];

void Matrix_Init(Matrix *m);

void Matrix_Multiply(Matrix *a, Matrix *b, Matrix *r);
void Matrix_Inverse(Matrix *src, Matrix *inv);

void Matrix_Rotate_X(Matrix *m, float angle);
void Matrix_Rotate_Y(Matrix *m, float angle);
void Matrix_Rotate_Z(Matrix *m, float angle);

void Matrix_Translate(Matrix *m, float dx, float dy, float dz);

#endif